Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615300 - Failover exchange is not listed by management tools
Failover exchange is not listed by management tools
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
All Linux
medium Severity low
: 2.0
: ---
Assigned To: Jonathan Robie
Petra Svobodová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 08:53 EDT by Jiri Kolar
Modified: 2011-06-23 11:48 EDT (History)
7 users (show)

See Also:
Fixed In Version: qpid-cpp-0.9.1079953
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-23 11:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0890 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging 2.0 Release 2011-06-23 11:42:41 EDT

  None (edit)
Description Jiri Kolar 2010-07-16 08:53:19 EDT
Description of problem:
When you start for example 2 node cluster, failover exchange should be created, but it is not thus failover does not work

Version-Release number of selected component (if applicable):

qpid-cpp-server-cluster-0.7.946106-6
qpid-cpp-server-devel-0.7.946106-6
qpid-cpp-server-0.7.946106-6


How reproducible:
always

Steps to Reproduce:
1. start 2 node cluster

qpidd --auth no --port 5672 --data-dir /tmp/12 --cluster-name clXX --log-enable info+&

qpidd --auth no --port 5673 --data-dir /tmp/13 --cluster-name clXX --log-enable info+&

2. verify that cluster is running qpid-cluster

3. list exchanges of the cluster (for example with qpid-tool)
  
Actual results:
exchanges qpid.cluster-update and amq.failover are not created

Expected results:
they should be created

Additional info:
Comment 1 Alan Conway 2010-07-16 09:43:03 EDT
The exchange is created and clients can bind to it, but its not appearing in the management data so not listed by qpid-stat, qpid-tool etc.

You can verify that the exchange is working by running this:

 qpid-receive -a amq.failover -b localhost:5555 -f --print-headers yes

And then add/remove members of the cluster, you'll see a message printed for each change of membership.
Comment 2 Jonathan Robie 2010-10-05 14:55:19 EDT
I assume we want only amq.failover to be visible to the management tools?

I believe qpid.cluster-updates should only exist during an update.
Comment 4 Jonathan Robie 2010-11-01 11:51:28 EDT
Fixed upstream in revision 1005908.
Comment 8 Petra Svobodová 2011-05-12 07:39:17 EDT
The "amq.failover" exchange is visible via the qpid-tools ("qpid-config exchanges", "qpid-tool / list exchange"). 

Tested packages: qpid-cpp - 0.10.3 on RHEL 5.6 / 6.1 i[36]86/ x86_64

--> VERIFIED
Comment 9 errata-xmlrpc 2011-06-23 11:48:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0890.html

Note You need to log in before you can comment on or make changes to this bug.